/**
 * \file rvc/dbshape.h
 * \brief interface for the RVC::DBASE_SHAPE class.
 *
 * \if NODOC
 * $Id: dbshape.h_v 1.5 2010/05/12 21:08:19 mju Exp $
 *
 * $Log: dbshape.h_v $
 * Revision 1.5  2010/05/12 21:08:19  mju
 * Simplify to just ctor and specify parent objtype when construct base.
 *
 * Revision 1.1  2003/05/07 14:58:33  scowan
 * Initial revision
 * \endif
**/

#ifndef INC_RVC_DBSHAPE_H
#define INC_RVC_DBSHAPE_H

#ifndef INC_RVC_DBELEM_H
	#include <rvc/dbelem.h>
#endif

namespace RVC {

//! Manage RVC::OBJTYPE_Database_Shape objects.
class DBASE_SHAPE : public RVC::DBASE_ELEMENT {
	public:

		//! Default constructor
		DBASE_SHAPE (
			): DBASE_ELEMENT(OBJTYPE_Shape,ELEMTYPE_All) { }

	};

}		// End of RVC namespace

#endif 	// INC_RVC_DBSHAPE_H
