/**
 * \file mgui/pointerbutton.h
 * \brief MGUI::POINTERBUTTON definitions
 *
 * \if NODOC
 * $Id: pointerbutton.h_v 1.1 2008/01/04 16:40:05 mju Exp $
 *
 * $Log: pointerbutton.h_v $
 * Revision 1.1  2008/01/04 16:40:05  mju
 * Initial revision
 *
 * \endif
**/

#ifndef	INC_MGUI_POINTERBUTTON_H
#define	INC_MGUI_POINTERBUTTON_H

#ifndef	INC_MI32_STDDEFNS_H
	#include <mi32/stddefns.h>
#endif

namespace MGUI {

//===================================================================================================================

enum POINTERBUTTON {
	POINTERBUTTON_None =		0,

	POINTERBUTTON_1 =			0x0001,
	POINTERBUTTON_2 =			0x0002,
	POINTERBUTTON_3 =			0x0004,
	POINTERBUTTON_4 =			0x0008,
	POINTERBUTTON_5 =			0x0010,

	POINTERBUTTON_Left =			POINTERBUTTON_1,
	POINTERBUTTON_Middle =		POINTERBUTTON_2,
	POINTERBUTTON_Right =		POINTERBUTTON_3,
	POINTERBUTTON_ScrollUp =	POINTERBUTTON_4,
	POINTERBUTTON_ScrollDown =	POINTERBUTTON_5,
	};

#ifndef GENERATING_DOXYGEN_OUTPUT
DEFINE_ENUM_OP_BITWISE(MGUI::POINTERBUTTON);
#endif

//===================================================================================================================
}	// End namespace MGUI

#endif	// INC_MGUI_POINTERBUTTON_H
