/**
 * \file rvc/dbtedge.h
 * \brief interface for the RVC::DBASE_TINEDGE class.
 *
 * \if NODOC
 * $Id: dbtedge.h_v 1.10 2010/05/12 21:08:34 mju Exp $
 *
 * $Log: dbtedge.h_v $
 * Revision 1.10  2010/05/12 21:08:34  mju
 * Simplify to just ctor and specify parent objtype when construct base.
 *
 * Revision 1.1  2001/05/25 19:22:50  scowan
 * Initial revision
 *
 * \endif
**/

#ifndef INC_RVC_DBTEDGE_H
#define INC_RVC_DBTEDGE_H

#ifndef INC_RVC_DBELEM_H
	#include <rvc/dbelem.h>
#endif

namespace RVC {

//! Manage RVC::OBJTYPE_Database_TIN objects.
class DBASE_TINEDGE : public RVC::DBASE_ELEMENT {
	public:

		//! Default constructor
		DBASE_TINEDGE (
			): DBASE_ELEMENT(OBJTYPE_TIN,ELEMTYPE_Edge) { }

	};

}		// End of RVC namespace

#endif 	// INC_RVC_DBTEDGE_H
