/**
 * \file rvc/dispparmusage.h
 * \brief Define RVC::DISPPARMUSAGE enumeration
 *
 * \if NODOC
 * $Id: dispparmusage.h_v 1.3 2006/09/08 19:15:12 scowan Exp $
 *
 * $Log: dispparmusage.h_v $
 * Revision 1.3  2006/09/08 19:15:12  scowan
 * *** empty log message ***
 *
 * Revision 1.2  2006/09/08 19:14:45  scowan
 * *** empty log message ***
 *
 * Revision 1.1  2006/09/08 19:14:09  scowan
 * Initial revision
 *
 * \endif
**/

#ifndef INC_RVC_DISPPARMUSAGE_H
#define INC_RVC_DISPPARMUSAGE_H

namespace RVC {

//! Enumerations for RVC DISPPARMUSAGE types.
enum DISPPARMUSAGE {
	DISPPARMUSAGE_Display = 0,
	DISPPARMUSAGE_Edit,
	DISPPARMUSAGE_NumericOutput,
	DISPPARMUSAGE_Surface,
	DISPPARMUSAGE_Unspecified = 99
	};

}	//! End of RVC namespace
	
#endif		//!< INC_RVC_DISPPARMUSAGE_H
